package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.occmd.json.raw

import kotlinx.serialization.SerialName
import kotlinx.serialization.json.JsonObject
import kotlinx.serialization.Serializable

@Serializable
data class Result(
    @SerialName("type")
    val type: String,

    @SerialName("filename")
    val filename: String,

    @SerialName("hashed_secret")
    val hashed_secret: String,

    @SerialName("is_verified")
    val is_verified: Boolean,

    @SerialName("line_number")
    val line_number: Int
)
