package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.ort.json

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class AdvisorResultJson(
    @SerialName("identifier")
    val identifier: String,
    @SerialName("advisor")
    val advisor: AdvisorInResultJson?,
    @SerialName("summary")
    val summary: SummaryJson?,
    @SerialName("vulnerabilities")
    val vulnerabilities: MutableList<VulnerabilityJson> = mutableListOf()
)