package de.fraunhofer.iem.dataprovider.taskManager.tasks.tools.sarif.json

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
data class SarifDriverJson(
    @SerialName("downloadUri")
    val downloadUri: String? = null,
    @SerialName("fullName")
    val fullName: String? = null,
    @SerialName("guid")
    val guid: String? = null,
    @SerialName("informationUri")
    val informationUri: String? = null,
    @SerialName("language")
    val language: String? = null,
    @SerialName("name")
    val name: String? = null,
    @SerialName("organization")
    val organization: String? = null,
    @SerialName("rules")
    val rules: List<SarifRuleJson> = listOf(),
    @SerialName("semanticVersion")
    val semanticVersion: String? = null,
    @SerialName("version")
    val version: String? = null
)
